Execute Filter Single Result
curl --request GET \
--url http://{host}:{port}/{contextPath}/filter/{id}/singleResult \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/filter/{id}/singleResult"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/filter/{id}/singleResult', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignee": "jonny1",
"caseDefinitionId": null,
"caseExecutionId": null,
"caseInstanceId": null,
"created": "2014-09-15T15:45:48.000+0200",
"delegationState": null,
"description": null,
"due": null,
"executionId": "aExecutionId",
"followUp": null,
"formKey": null,
"id": "aTaskId",
"lastUpdated": "2014-09-15T15:45:48.000+0200",
"name": "Task 2",
"owner": null,
"parentTaskId": null,
"priority": 50,
"processDefinitionId": "aProcessId",
"processInstanceId": "aProcessInstanceId",
"suspended": false,
"taskDefinitionKey": "aTaskKey"
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Filter
Execute Filter Single Result
Executes the saved query of the filter by id and returns the single result.
GET
/
filter
/
{id}
/
singleResult
Execute Filter Single Result
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the filter to execute.
Response
Request successful. A JSON object corresponding to the matching entity interface in the engine. This depends on the saved query in the filter. Therefore it is not possible to specify a generic result format, i.e., if the resource type of the filter is Task the result will correspond to the Task interface in the engine.
The response is of type object.
⌘I